Skip to content
CatalogSpecifications

Create specification

Creates a store-owned product specification with its key, behavior, and allowed values.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/specifications" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Material",    "key": "color",    "aliases": [      "Material"    ],    "description": "Polo de algodón pima para uso diario.",    "isMultiple": false,    "isFilterable": false,    "isSearchable": false,    "order": 1  }'
{  "id": "7204558912004325220"}